# -*- coding: utf-8 -*-
"""Requirement DPS-3000-SCI."""

from micado.main.Requirement import Requirement


class DPSmasterdarkExtra(Requirement):
    """Requirement DPS-3000-SCI.

    See Dark Current:
    https://docs.google.com/spreadsheets/d/1t1COgxxWQso3TeUGCn9qEebM66b4ful4xYLAdsQr2Ug/edit#gid=694297875
    """

    def make(self):
        """Verify the condition."""
        result = (
            abs(self.masterdarkqc.darkmed - self.dark_true) / self.dark_true
            < self.precision
        )
        self.passed = int(result)
