"""
    Module with Logging utils
"""

import logging


def init_python_logging():
    """initialize the python logging facility"""
    log = logging.getLogger()
    # start with no handlers, previous handlers are removed
    log.handlers = []
    log.setLevel("INFO")
    # add a console logger
    logging.getLogger().addHandler(logging.StreamHandler())
